reformatx(1)

NAME
reformatx - Volume reformatter

SYNOPSIS
reformatx [options] --floating floatingImg target x0 [x1 ...]
  OR reformatx [options] target [x0 x1 ...] {-j,--jacobian} xx0 [xx1 ...]
  OR WHERE x0 ... xN and xx0 ... xxN is [{-i,--inverse}] transformation##. (If the first transformation in the sequence is inverted, then '--inverse' must be preceded by '--', i.e., use '-- --inverse xform.path').

DESCRIPTION
Extended volume reformatter tool to compute reformatted images and Jacobian maps from arbitrary sequences of concatenated transformations

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

--outputtype
    Scalar data type for the output image. Supported values: "char", "byte", "short", "ushort", "int", "uint", "float", "double", or use one of the following:

    --char
        8 bits, signed

    --byte
        8 bits, unsigned

    --short
        16 bits, signed

    --ushort
        16 bits, unsigned

    --int
        32 bits signed

    --uint
        32 bits unsigned

    --float
        32 bits floating point

    --double
        64 bits floating point

--pad-out <double>, -P <double>
    Padding value for output image [Default: 0]

  Options for Plain Reformatting

--interpolation
    Image interpolation method. Supported values: "linear", "nn", "cubic", "pv", "sinc-cosine", "sinc-hamming", where the default is "linear", or use one of the following:

    --linear
        Trilinear interpolation [This is the default]

    --nn
        Nearest neighbor interpolation

    --cubic
        Tricubic interpolation

    --pv
        Partial volume interpolation

    --sinc-cosine
        Sinc interpolation with cosine window

    --sinc-hamming
        Sinc interpolation with Hamming window

--sinc-window-radius <integer>
    Window radius for Sinc interpolation [Default: 3]

--preserve-mass
    Mass-preserving reformatting: multiply every reformatted value with the Jacobian determinant of the applied transformation.

  Options for Jacobian Map Reformatting

--jacobian-correct-global
    Correct Jacobian maps for global scale.

--no-jacobian-correct-global
    Do not correct Jacobian maps for global scale. [This is the default]

  Input Options

--target-grid <string>
    Define target grid for reformating as Nx,Ny,Nz:dX,dY,dZ[:Ox,Oy,Oz] (dims:pixel:offset)

--mask, -m
    Use target pixel data as binary mask.

--crop <string>
    Crop target image: x0,y0,z0,x1,y1,z2

--target-offset <string>, -O <string>
    Override target image offset and set to x,y,z mm

--target-offset-pixels <string>
    Override target image offset and set to dx,dy,dz pixels

--floating <string>, -F <string>
    Format and path of floating image. [Default: NONE]

--pad-floating <double>
    Padding value for the floating image [Default: disabled]

  Output Options

--outfile <string>, -o <string>
    Format and path of output image. [Default: reformat.nii ]

  Image/Transformation Database

--db <string>
    Path to image/transformation database that should be updated with the newly created image. [Default: NONE]

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.